Get a published public storefront product
GET
/v2/public/storefronts/{locator}/products/{id}Path parameters
locatorstringrequiredmin length 1 · max length 160
idstring<uuid>requiredQuery parameters
langstringAllowed:
enarexpectedMerchantIdstring<uuid>expectedHostRevisionintegermin -9007199254740991 · max 9007199254740991
Header parameters
x-request-idstringOptional caller-provided request correlation ID.
min length 1
Responses
200OK
bindingobject | anyrequiredShow propertiesHide properties
Any of:
object
merchantIdstring<uuid>requiredenvironmentstringrequiredAllowed:
sandboxproductionhostnamestringrequiredmin length 1 · max length 253
publicSlugstringrequiredmin length 1 · max length 63
hostRevisionintegerrequiredmin -9007199254740991 · max 9007199254740991
publicContentRevisionintegerrequiredmin -9007199254740991 · max 9007199254740991
defaultLocalestringrequiredAllowed:
enarany
anyproductobject | anyrequiredShow propertiesHide properties
Any of:
object
idstring<uuid>requirednamestringrequiredmin length 1 · max length 160
descriptionstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anytaxBehaviorstringrequiredAllowed:
standardexemptoffersobject[]requiredShow propertiesHide properties
Array of
objectidstring<uuid>requirednamestringrequiredmin length 1 · max length 160
descriptionstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyofferTypestringrequiredAllowed:
one_timerecurringfreecustompositionintegerrequiredmin 0 · max 9007199254740991
isDefaultbooleanrequiredcurrencyanyrequiredamountHalalasinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anyminimumAmountHalalasinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anymaximumAmountHalalasinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anycadenceobject | anyrequiredShow propertiesHide properties
Any of:
object
intervalUnitstringrequiredAllowed:
dayweekmonthyearintervalCountintegerrequiredmin -9007199254740991 · max 9007199254740991
any
anytrialDaysintegerrequiredmin 0 · max 365
assetsobject[]requiredShow propertiesHide properties
Array of
objectidstring<uuid>requiredpurposeanyrequiredmimeTypestringrequiredmin length 1 · max length 160
altTextstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyurlstring<uri>requiredexpiresAtstring<date-time>requiredpositionintegerrequiredmin 0 · max 9007199254740991
linksobject[]requiredShow propertiesHide properties
Array of
objectidstring<uuid>requiredtitlestringrequiredmin length 1 · max length 120
urlstring<uri>requiredpositionintegerrequiredmin 0 · max 9007199254740991
any
any404Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject422Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject429Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject500Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobjectRequest
curl -X GET "https://api.cipay.net/v2/public/storefronts/string/products/%3Cuuid%3E"const response = await fetch("https://api.cipay.net/v2/public/storefronts/string/products/%3Cuuid%3E", {
method: "GET"
});Response
{
"binding": {
"merchantId": "<uuid>",
"environment": "sandbox",
"hostname": "string",
"publicSlug": "string",
"hostRevision": 0,
"publicContentRevision": 0,
"defaultLocale": "en"
},
"product": {
"id": "<uuid>",
"name": "string",
"description": "string",
"taxBehavior": "standard",
"offers": [
{
"id": "<uuid>",
"name": "string",
"description": "string",
"offerType": "one_time",
"position": 0,
"isDefault": true,
"currency": "SAR",
"amountHalalas": 0,
"minimumAmountHalalas": 0,
"maximumAmountHalalas": 0,
"cadence": {
"intervalUnit": "day",
"intervalCount": 0
},
"trialDays": 0
}
],
"assets": [
{
"id": "<uuid>",
"purpose": "product_media",
"mimeType": "string",
"altText": "string",
"url": "<uri>",
"expiresAt": "2024-01-01T00:00:00Z",
"position": 0
}
],
"links": [
{
"id": "<uuid>",
"title": "string",
"url": "<uri>",
"position": 0
}
]
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}